Subject: fireweed seed
From: [email-masked] (Richard Winder)
Date: Fri, 17 Jun 1994 19:03:51 GMT
Newsgroups: bionet.plants

Dear colleagues,

We have a need at this site for seed of fireweed (Epilobium angustifolium).
Viable seed won't be out in the field until late July, maybe August- does
anyone out there know of a source of seed that we can access/buy immediately?
-Thanks			-RSW

  RICHARD WINDER                    Title: Research Scientist
  Canadian Forest Service           Phone: (604) 363-0773
  Victoria, B.C.                    Internet: [email-masked]